Add ethtool patch to avoid running automake (#1510)
[openwrt/svn-archive/archive.git] / net / ethtool / patches / 01-ixp4xx_ethtool_autotools.patch
1 diff -Nur ethtool-3.orig/aclocal.m4 ethtool-3/aclocal.m4
2 --- ethtool-3.orig/aclocal.m4 2005-01-28 01:24:19.000000000 +0100
3 +++ ethtool-3/aclocal.m4 2006-10-14 17:03:28.000000000 +0200
4 @@ -1,7 +1,7 @@
5 -# generated automatically by aclocal 1.8.3 -*- Autoconf -*-
6 +# generated automatically by aclocal 1.9.5 -*- Autoconf -*-
7
8 -# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004
9 -# Free Software Foundation, Inc.
10 +# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004,
11 +# 2005 Free Software Foundation, Inc.
12 # This file is free software; the Free Software Foundation
13 # gives unlimited permission to copy and/or distribute it,
14 # with or without modifications, as long as this notice is preserved.
15 @@ -11,55 +11,32 @@
16 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
17 # PARTICULAR PURPOSE.
18
19 -# -*- Autoconf -*-
20 -# Copyright (C) 2002, 2003 Free Software Foundation, Inc.
21 -# Generated from amversion.in; do not edit by hand.
22 -
23 -# This program is free software; you can redistribute it and/or modify
24 -# it under the terms of the GNU General Public License as published by
25 -# the Free Software Foundation; either version 2, or (at your option)
26 -# any later version.
27 -
28 -# This program is distributed in the hope that it will be useful,
29 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
30 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
31 -# GNU General Public License for more details.
32 -
33 -# You should have received a copy of the GNU General Public License
34 -# along with this program; if not, write to the Free Software
35 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
36 +# Copyright (C) 2002, 2003, 2005 Free Software Foundation, Inc.
37 +#
38 +# This file is free software; the Free Software Foundation
39 +# gives unlimited permission to copy and/or distribute it,
40 +# with or without modifications, as long as this notice is preserved.
41
42 # AM_AUTOMAKE_VERSION(VERSION)
43 # ----------------------------
44 # Automake X.Y traces this macro to ensure aclocal.m4 has been
45 # generated from the m4 files accompanying Automake X.Y.
46 -AC_DEFUN([AM_AUTOMAKE_VERSION], [am__api_version="1.8"])
47 +AC_DEFUN([AM_AUTOMAKE_VERSION], [am__api_version="1.9"])
48
49 # AM_SET_CURRENT_AUTOMAKE_VERSION
50 # -------------------------------
51 # Call AM_AUTOMAKE_VERSION so it can be traced.
52 # This function is AC_REQUIREd by AC_INIT_AUTOMAKE.
53 AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION],
54 - [AM_AUTOMAKE_VERSION([1.8.3])])
55 -
56 -# AM_AUX_DIR_EXPAND
57 + [AM_AUTOMAKE_VERSION([1.9.5])])
58
59 -# Copyright (C) 2001, 2003 Free Software Foundation, Inc.
60 +# AM_AUX_DIR_EXPAND -*- Autoconf -*-
61
62 -# This program is free software; you can redistribute it and/or modify
63 -# it under the terms of the GNU General Public License as published by
64 -# the Free Software Foundation; either version 2, or (at your option)
65 -# any later version.
66 -
67 -# This program is distributed in the hope that it will be useful,
68 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
69 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
70 -# GNU General Public License for more details.
71 -
72 -# You should have received a copy of the GNU General Public License
73 -# along with this program; if not, write to the Free Software
74 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
75 -# 02111-1307, USA.
76 +# Copyright (C) 2001, 2003, 2005 Free Software Foundation, Inc.
77 +#
78 +# This file is free software; the Free Software Foundation
79 +# gives unlimited permission to copy and/or distribute it,
80 +# with or without modifications, as long as this notice is preserved.
81
82 # For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets
83 # $ac_aux_dir to `$srcdir/foo'. In other projects, it is set to
84 @@ -106,26 +83,16 @@
85 am_aux_dir=`cd $ac_aux_dir && pwd`
86 ])
87
88 -# AM_CONDITIONAL -*- Autoconf -*-
89 -
90 -# Copyright (C) 1997, 2000, 2001, 2003 Free Software Foundation, Inc.
91 +# AM_CONDITIONAL -*- Autoconf -*-
92
93 -# This program is free software; you can redistribute it and/or modify
94 -# it under the terms of the GNU General Public License as published by
95 -# the Free Software Foundation; either version 2, or (at your option)
96 -# any later version.
97 -
98 -# This program is distributed in the hope that it will be useful,
99 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
100 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
101 -# GNU General Public License for more details.
102 -
103 -# You should have received a copy of the GNU General Public License
104 -# along with this program; if not, write to the Free Software
105 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
106 -# 02111-1307, USA.
107 +# Copyright (C) 1997, 2000, 2001, 2003, 2004, 2005
108 +# Free Software Foundation, Inc.
109 +#
110 +# This file is free software; the Free Software Foundation
111 +# gives unlimited permission to copy and/or distribute it,
112 +# with or without modifications, as long as this notice is preserved.
113
114 -# serial 6
115 +# serial 7
116
117 # AM_CONDITIONAL(NAME, SHELL-CONDITION)
118 # -------------------------------------
119 @@ -145,30 +112,19 @@
120 fi
121 AC_CONFIG_COMMANDS_PRE(
122 [if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then
123 - AC_MSG_ERROR([conditional "$1" was never defined.
124 -Usually this means the macro was only invoked conditionally.])
125 + AC_MSG_ERROR([[conditional "$1" was never defined.
126 +Usually this means the macro was only invoked conditionally.]])
127 fi])])
128
129 -# serial 7 -*- Autoconf -*-
130
131 -# Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004
132 +# Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005
133 # Free Software Foundation, Inc.
134 +#
135 +# This file is free software; the Free Software Foundation
136 +# gives unlimited permission to copy and/or distribute it,
137 +# with or without modifications, as long as this notice is preserved.
138
139 -# This program is free software; you can redistribute it and/or modify
140 -# it under the terms of the GNU General Public License as published by
141 -# the Free Software Foundation; either version 2, or (at your option)
142 -# any later version.
143 -
144 -# This program is distributed in the hope that it will be useful,
145 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
146 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
147 -# GNU General Public License for more details.
148 -
149 -# You should have received a copy of the GNU General Public License
150 -# along with this program; if not, write to the Free Software
151 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
152 -# 02111-1307, USA.
153 -
154 +# serial 8
155
156 # There are a few dirty hacks below to avoid letting `AC_PROG_CC' be
157 # written in clear, in which case automake, when reading aclocal.m4,
158 @@ -177,7 +133,6 @@
159 # CC etc. in the Makefile, will ask for an AC_PROG_CC use...
160
161
162 -
163 # _AM_DEPENDENCIES(NAME)
164 # ----------------------
165 # See how the compiler implements dependency checking.
166 @@ -266,9 +221,14 @@
167 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
168 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
169 # icc doesn't choke on unknown options, it will just issue warnings
170 - # (even with -Werror). So we grep stderr for any message
171 - # that says an option was ignored.
172 - if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
173 + # or remarks (even with -Werror). So we grep stderr for any message
174 + # that says an option was ignored or not supported.
175 + # When given -MP, icc 7.0 and 7.1 complain thusly:
176 + # icc: Command line warning: ignoring option '-M'; no argument required
177 + # The diagnosis changed in icc 8.0:
178 + # icc: Command line remark: option '-MP' not supported
179 + if (grep 'ignoring option' conftest.err ||
180 + grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
181 am_cv_$1_dependencies_compiler_type=$depmode
182 break
183 fi
184 @@ -312,26 +272,16 @@
185 AC_SUBST([AMDEPBACKSLASH])
186 ])
187
188 -# Generate code to set up dependency tracking. -*- Autoconf -*-
189 +# Generate code to set up dependency tracking. -*- Autoconf -*-
190
191 -# Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.
192 -
193 -# This program is free software; you can redistribute it and/or modify
194 -# it under the terms of the GNU General Public License as published by
195 -# the Free Software Foundation; either version 2, or (at your option)
196 -# any later version.
197 -
198 -# This program is distributed in the hope that it will be useful,
199 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
200 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
201 -# GNU General Public License for more details.
202 -
203 -# You should have received a copy of the GNU General Public License
204 -# along with this program; if not, write to the Free Software
205 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
206 -# 02111-1307, USA.
207 +# Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005
208 +# Free Software Foundation, Inc.
209 +#
210 +# This file is free software; the Free Software Foundation
211 +# gives unlimited permission to copy and/or distribute it,
212 +# with or without modifications, as long as this notice is preserved.
213
214 -#serial 2
215 +#serial 3
216
217 # _AM_OUTPUT_DEPENDENCY_COMMANDS
218 # ------------------------------
219 @@ -350,27 +300,21 @@
220 else
221 continue
222 fi
223 - grep '^DEP_FILES *= *[[^ @%:@]]' < "$mf" > /dev/null || continue
224 - # Extract the definition of DEP_FILES from the Makefile without
225 - # running `make'.
226 + # Extract the definition of DEPDIR, am__include, and am__quote
227 + # from the Makefile without running `make'.
228 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
229 test -z "$DEPDIR" && continue
230 + am__include=`sed -n 's/^am__include = //p' < "$mf"`
231 + test -z "am__include" && continue
232 + am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
233 # When using ansi2knr, U may be empty or an underscore; expand it
234 U=`sed -n 's/^U = //p' < "$mf"`
235 - test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
236 - # We invoke sed twice because it is the simplest approach to
237 - # changing $(DEPDIR) to its actual value in the expansion.
238 - for file in `sed -n '
239 - /^DEP_FILES = .*\\\\$/ {
240 - s/^DEP_FILES = //
241 - :loop
242 - s/\\\\$//
243 - p
244 - n
245 - /\\\\$/ b loop
246 - p
247 - }
248 - /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
249 + # Find all dependency output files, they are included files with
250 + # $(DEPDIR) in their names. We invoke sed twice because it is the
251 + # simplest approach to changing $(DEPDIR) to its actual value in the
252 + # expansion.
253 + for file in `sed -n "
254 + s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
255 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
256 # Make sure the directory exists.
257 test -f "$dirpart/$file" && continue
258 @@ -396,30 +340,19 @@
259 [AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"])
260 ])
261
262 -# Do all the work for Automake. -*- Autoconf -*-
263 +# Do all the work for Automake. -*- Autoconf -*-
264
265 -# This macro actually does too much some checks are only needed if
266 -# your package does certain things. But this isn't really a big deal.
267 -
268 -# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
269 +# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005
270 # Free Software Foundation, Inc.
271 +#
272 +# This file is free software; the Free Software Foundation
273 +# gives unlimited permission to copy and/or distribute it,
274 +# with or without modifications, as long as this notice is preserved.
275
276 -# This program is free software; you can redistribute it and/or modify
277 -# it under the terms of the GNU General Public License as published by
278 -# the Free Software Foundation; either version 2, or (at your option)
279 -# any later version.
280 -
281 -# This program is distributed in the hope that it will be useful,
282 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
283 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
284 -# GNU General Public License for more details.
285 -
286 -# You should have received a copy of the GNU General Public License
287 -# along with this program; if not, write to the Free Software
288 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
289 -# 02111-1307, USA.
290 +# serial 12
291
292 -# serial 11
293 +# This macro actually does too much. Some checks are only needed if
294 +# your package does certain things. But this isn't really a big deal.
295
296 # AM_INIT_AUTOMAKE(PACKAGE, VERSION, [NO-DEFINE])
297 # AM_INIT_AUTOMAKE([OPTIONS])
298 @@ -477,7 +410,6 @@
299 AM_MISSING_PROG(AUTOMAKE, automake-${am__api_version})
300 AM_MISSING_PROG(AUTOHEADER, autoheader)
301 AM_MISSING_PROG(MAKEINFO, makeinfo)
302 -AM_MISSING_PROG(AMTAR, tar)
303 AM_PROG_INSTALL_SH
304 AM_PROG_INSTALL_STRIP
305 AC_REQUIRE([AM_PROG_MKDIR_P])dnl
306 @@ -486,7 +418,9 @@
307 AC_REQUIRE([AC_PROG_AWK])dnl
308 AC_REQUIRE([AC_PROG_MAKE_SET])dnl
309 AC_REQUIRE([AM_SET_LEADING_DOT])dnl
310 -
311 +_AM_IF_OPTION([tar-ustar], [_AM_PROG_TAR([ustar])],
312 + [_AM_IF_OPTION([tar-pax], [_AM_PROG_TAR([pax])],
313 + [_AM_PROG_TAR([v7])])])
314 _AM_IF_OPTION([no-dependencies],,
315 [AC_PROVIDE_IFELSE([AC_PROG_CC],
316 [_AM_DEPENDENCIES(CC)],
317 @@ -520,51 +454,27 @@
318 done
319 echo "timestamp for $1" >`AS_DIRNAME([$1])`/stamp-h[]$_am_stamp_count])
320
321 +# Copyright (C) 2001, 2003, 2005 Free Software Foundation, Inc.
322 +#
323 +# This file is free software; the Free Software Foundation
324 +# gives unlimited permission to copy and/or distribute it,
325 +# with or without modifications, as long as this notice is preserved.
326 +
327 # AM_PROG_INSTALL_SH
328 # ------------------
329 # Define $install_sh.
330 -
331 -# Copyright (C) 2001, 2003 Free Software Foundation, Inc.
332 -
333 -# This program is free software; you can redistribute it and/or modify
334 -# it under the terms of the GNU General Public License as published by
335 -# the Free Software Foundation; either version 2, or (at your option)
336 -# any later version.
337 -
338 -# This program is distributed in the hope that it will be useful,
339 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
340 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
341 -# GNU General Public License for more details.
342 -
343 -# You should have received a copy of the GNU General Public License
344 -# along with this program; if not, write to the Free Software
345 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
346 -# 02111-1307, USA.
347 -
348 AC_DEFUN([AM_PROG_INSTALL_SH],
349 [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
350 install_sh=${install_sh-"$am_aux_dir/install-sh"}
351 AC_SUBST(install_sh)])
352
353 -# -*- Autoconf -*-
354 -# Copyright (C) 2003 Free Software Foundation, Inc.
355 -
356 -# This program is free software; you can redistribute it and/or modify
357 -# it under the terms of the GNU General Public License as published by
358 -# the Free Software Foundation; either version 2, or (at your option)
359 -# any later version.
360 -
361 -# This program is distributed in the hope that it will be useful,
362 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
363 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
364 -# GNU General Public License for more details.
365 -
366 -# You should have received a copy of the GNU General Public License
367 -# along with this program; if not, write to the Free Software
368 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
369 -# 02111-1307, USA.
370 +# Copyright (C) 2003, 2005 Free Software Foundation, Inc.
371 +#
372 +# This file is free software; the Free Software Foundation
373 +# gives unlimited permission to copy and/or distribute it,
374 +# with or without modifications, as long as this notice is preserved.
375
376 -# serial 1
377 +# serial 2
378
379 # Check whether the underlying file-system supports filenames
380 # with a leading dot. For instance MS-DOS doesn't.
381 @@ -579,28 +489,17 @@
382 rmdir .tst 2>/dev/null
383 AC_SUBST([am__leading_dot])])
384
385 -# Add --enable-maintainer-mode option to configure.
386 +# Add --enable-maintainer-mode option to configure. -*- Autoconf -*-
387 # From Jim Meyering
388
389 -# Copyright (C) 1996, 1998, 2000, 2001, 2002, 2003, 2004
390 +# Copyright (C) 1996, 1998, 2000, 2001, 2002, 2003, 2004, 2005
391 # Free Software Foundation, Inc.
392 +#
393 +# This file is free software; the Free Software Foundation
394 +# gives unlimited permission to copy and/or distribute it,
395 +# with or without modifications, as long as this notice is preserved.
396
397 -# This program is free software; you can redistribute it and/or modify
398 -# it under the terms of the GNU General Public License as published by
399 -# the Free Software Foundation; either version 2, or (at your option)
400 -# any later version.
401 -
402 -# This program is distributed in the hope that it will be useful,
403 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
404 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
405 -# GNU General Public License for more details.
406 -
407 -# You should have received a copy of the GNU General Public License
408 -# along with this program; if not, write to the Free Software
409 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
410 -# 02111-1307, USA.
411 -
412 -# serial 3
413 +# serial 4
414
415 AC_DEFUN([AM_MAINTAINER_MODE],
416 [AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
417 @@ -619,26 +518,15 @@
418
419 AU_DEFUN([jm_MAINTAINER_MODE], [AM_MAINTAINER_MODE])
420
421 -# Check to see how 'make' treats includes. -*- Autoconf -*-
422 -
423 -# Copyright (C) 2001, 2002, 2003 Free Software Foundation, Inc.
424 +# Check to see how 'make' treats includes. -*- Autoconf -*-
425
426 -# This program is free software; you can redistribute it and/or modify
427 -# it under the terms of the GNU General Public License as published by
428 -# the Free Software Foundation; either version 2, or (at your option)
429 -# any later version.
430 -
431 -# This program is distributed in the hope that it will be useful,
432 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
433 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
434 -# GNU General Public License for more details.
435 -
436 -# You should have received a copy of the GNU General Public License
437 -# along with this program; if not, write to the Free Software
438 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
439 -# 02111-1307, USA.
440 +# Copyright (C) 2001, 2002, 2003, 2005 Free Software Foundation, Inc.
441 +#
442 +# This file is free software; the Free Software Foundation
443 +# gives unlimited permission to copy and/or distribute it,
444 +# with or without modifications, as long as this notice is preserved.
445
446 -# serial 2
447 +# serial 3
448
449 # AM_MAKE_INCLUDE()
450 # -----------------
451 @@ -682,27 +570,16 @@
452 rm -f confinc confmf
453 ])
454
455 -# -*- Autoconf -*-
456 -
457 -
458 -# Copyright (C) 1997, 1999, 2000, 2001, 2003 Free Software Foundation, Inc.
459 +# Fake the existence of programs that GNU maintainers use. -*- Autoconf -*-
460
461 -# This program is free software; you can redistribute it and/or modify
462 -# it under the terms of the GNU General Public License as published by
463 -# the Free Software Foundation; either version 2, or (at your option)
464 -# any later version.
465 -
466 -# This program is distributed in the hope that it will be useful,
467 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
468 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
469 -# GNU General Public License for more details.
470 -
471 -# You should have received a copy of the GNU General Public License
472 -# along with this program; if not, write to the Free Software
473 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
474 -# 02111-1307, USA.
475 +# Copyright (C) 1997, 1999, 2000, 2001, 2003, 2005
476 +# Free Software Foundation, Inc.
477 +#
478 +# This file is free software; the Free Software Foundation
479 +# gives unlimited permission to copy and/or distribute it,
480 +# with or without modifications, as long as this notice is preserved.
481
482 -# serial 3
483 +# serial 4
484
485 # AM_MISSING_PROG(NAME, PROGRAM)
486 # ------------------------------
487 @@ -728,27 +605,16 @@
488 fi
489 ])
490
491 +# Copyright (C) 2003, 2004, 2005 Free Software Foundation, Inc.
492 +#
493 +# This file is free software; the Free Software Foundation
494 +# gives unlimited permission to copy and/or distribute it,
495 +# with or without modifications, as long as this notice is preserved.
496 +
497 # AM_PROG_MKDIR_P
498 # ---------------
499 # Check whether `mkdir -p' is supported, fallback to mkinstalldirs otherwise.
500 -
501 -# Copyright (C) 2003, 2004 Free Software Foundation, Inc.
502 -
503 -# This program is free software; you can redistribute it and/or modify
504 -# it under the terms of the GNU General Public License as published by
505 -# the Free Software Foundation; either version 2, or (at your option)
506 -# any later version.
507 -
508 -# This program is distributed in the hope that it will be useful,
509 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
510 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
511 -# GNU General Public License for more details.
512 -
513 -# You should have received a copy of the GNU General Public License
514 -# along with this program; if not, write to the Free Software
515 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
516 -# 02111-1307, USA.
517 -
518 +#
519 # Automake 1.8 used `mkdir -m 0755 -p --' to ensure that directories
520 # created by `make install' are always world readable, even if the
521 # installer happens to have an overly restrictive umask (e.g. 077).
522 @@ -769,13 +635,21 @@
523 # this.)
524 AC_DEFUN([AM_PROG_MKDIR_P],
525 [if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
526 - # Keeping the `.' argument allows $(mkdir_p) to be used without
527 - # argument. Indeed, we sometimes output rules like
528 + # We used to keeping the `.' as first argument, in order to
529 + # allow $(mkdir_p) to be used without argument. As in
530 # $(mkdir_p) $(somedir)
531 - # where $(somedir) is conditionally defined.
532 - # (`test -n '$(somedir)' && $(mkdir_p) $(somedir)' is a more
533 - # expensive solution, as it forces Make to start a sub-shell.)
534 - mkdir_p='mkdir -p -- .'
535 + # where $(somedir) is conditionally defined. However this is wrong
536 + # for two reasons:
537 + # 1. if the package is installed by a user who cannot write `.'
538 + # make install will fail,
539 + # 2. the above comment should most certainly read
540 + # $(mkdir_p) $(DESTDIR)$(somedir)
541 + # so it does not work when $(somedir) is undefined and
542 + # $(DESTDIR) is not.
543 + # To support the latter case, we have to write
544 + # test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
545 + # so the `.' trick is pointless.
546 + mkdir_p='mkdir -p --'
547 else
548 # On NextStep and OpenStep, the `mkdir' command does not
549 # recognize any option. It will interpret all options as
550 @@ -794,26 +668,15 @@
551 fi
552 AC_SUBST([mkdir_p])])
553
554 -# Helper functions for option handling. -*- Autoconf -*-
555 -
556 -# Copyright (C) 2001, 2002, 2003 Free Software Foundation, Inc.
557 -
558 -# This program is free software; you can redistribute it and/or modify
559 -# it under the terms of the GNU General Public License as published by
560 -# the Free Software Foundation; either version 2, or (at your option)
561 -# any later version.
562 +# Helper functions for option handling. -*- Autoconf -*-
563
564 -# This program is distributed in the hope that it will be useful,
565 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
566 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
567 -# GNU General Public License for more details.
568 -
569 -# You should have received a copy of the GNU General Public License
570 -# along with this program; if not, write to the Free Software
571 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
572 -# 02111-1307, USA.
573 +# Copyright (C) 2001, 2002, 2003, 2005 Free Software Foundation, Inc.
574 +#
575 +# This file is free software; the Free Software Foundation
576 +# gives unlimited permission to copy and/or distribute it,
577 +# with or without modifications, as long as this notice is preserved.
578
579 -# serial 2
580 +# serial 3
581
582 # _AM_MANGLE_OPTION(NAME)
583 # -----------------------
584 @@ -838,28 +701,16 @@
585 AC_DEFUN([_AM_IF_OPTION],
586 [m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])])
587
588 -#
589 -# Check to make sure that the build environment is sane.
590 -#
591 -
592 -# Copyright (C) 1996, 1997, 2000, 2001, 2003 Free Software Foundation, Inc.
593 -
594 -# This program is free software; you can redistribute it and/or modify
595 -# it under the terms of the GNU General Public License as published by
596 -# the Free Software Foundation; either version 2, or (at your option)
597 -# any later version.
598 +# Check to make sure that the build environment is sane. -*- Autoconf -*-
599
600 -# This program is distributed in the hope that it will be useful,
601 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
602 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
603 -# GNU General Public License for more details.
604 -
605 -# You should have received a copy of the GNU General Public License
606 -# along with this program; if not, write to the Free Software
607 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
608 -# 02111-1307, USA.
609 +# Copyright (C) 1996, 1997, 2000, 2001, 2003, 2005
610 +# Free Software Foundation, Inc.
611 +#
612 +# This file is free software; the Free Software Foundation
613 +# gives unlimited permission to copy and/or distribute it,
614 +# with or without modifications, as long as this notice is preserved.
615
616 -# serial 3
617 +# serial 4
618
619 # AM_SANITY_CHECK
620 # ---------------
621 @@ -902,25 +753,14 @@
622 fi
623 AC_MSG_RESULT(yes)])
624
625 -# AM_PROG_INSTALL_STRIP
626 -
627 -# Copyright (C) 2001, 2003 Free Software Foundation, Inc.
628 -
629 -# This program is free software; you can redistribute it and/or modify
630 -# it under the terms of the GNU General Public License as published by
631 -# the Free Software Foundation; either version 2, or (at your option)
632 -# any later version.
633 -
634 -# This program is distributed in the hope that it will be useful,
635 -# but WITHOUT ANY WARRANTY; without even the implied warranty of
636 -# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
637 -# GNU General Public License for more details.
638 -
639 -# You should have received a copy of the GNU General Public License
640 -# along with this program; if not, write to the Free Software
641 -# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
642 -# 02111-1307, USA.
643 +# Copyright (C) 2001, 2003, 2005 Free Software Foundation, Inc.
644 +#
645 +# This file is free software; the Free Software Foundation
646 +# gives unlimited permission to copy and/or distribute it,
647 +# with or without modifications, as long as this notice is preserved.
648
649 +# AM_PROG_INSTALL_STRIP
650 +# ---------------------
651 # One issue with vendor `install' (even GNU) is that you can't
652 # specify the program used to strip binaries. This is especially
653 # annoying in cross-compiling environments, where the build's strip
654 @@ -941,3 +781,99 @@
655 INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
656 AC_SUBST([INSTALL_STRIP_PROGRAM])])
657
658 +# Check how to create a tarball. -*- Autoconf -*-
659 +
660 +# Copyright (C) 2004, 2005 Free Software Foundation, Inc.
661 +#
662 +# This file is free software; the Free Software Foundation
663 +# gives unlimited permission to copy and/or distribute it,
664 +# with or without modifications, as long as this notice is preserved.
665 +
666 +# serial 2
667 +
668 +# _AM_PROG_TAR(FORMAT)
669 +# --------------------
670 +# Check how to create a tarball in format FORMAT.
671 +# FORMAT should be one of `v7', `ustar', or `pax'.
672 +#
673 +# Substitute a variable $(am__tar) that is a command
674 +# writing to stdout a FORMAT-tarball containing the directory
675 +# $tardir.
676 +# tardir=directory && $(am__tar) > result.tar
677 +#
678 +# Substitute a variable $(am__untar) that extract such
679 +# a tarball read from stdin.
680 +# $(am__untar) < result.tar
681 +AC_DEFUN([_AM_PROG_TAR],
682 +[# Always define AMTAR for backward compatibility.
683 +AM_MISSING_PROG([AMTAR], [tar])
684 +m4_if([$1], [v7],
685 + [am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'],
686 + [m4_case([$1], [ustar],, [pax],,
687 + [m4_fatal([Unknown tar format])])
688 +AC_MSG_CHECKING([how to create a $1 tar archive])
689 +# Loop over all known methods to create a tar archive until one works.
690 +_am_tools='gnutar m4_if([$1], [ustar], [plaintar]) pax cpio none'
691 +_am_tools=${am_cv_prog_tar_$1-$_am_tools}
692 +# Do not fold the above two line into one, because Tru64 sh and
693 +# Solaris sh will not grok spaces in the rhs of `-'.
694 +for _am_tool in $_am_tools
695 +do
696 + case $_am_tool in
697 + gnutar)
698 + for _am_tar in tar gnutar gtar;
699 + do
700 + AM_RUN_LOG([$_am_tar --version]) && break
701 + done
702 + am__tar="$_am_tar --format=m4_if([$1], [pax], [posix], [$1]) -chf - "'"$$tardir"'
703 + am__tar_="$_am_tar --format=m4_if([$1], [pax], [posix], [$1]) -chf - "'"$tardir"'
704 + am__untar="$_am_tar -xf -"
705 + ;;
706 + plaintar)
707 + # Must skip GNU tar: if it does not support --format= it doesn't create
708 + # ustar tarball either.
709 + (tar --version) >/dev/null 2>&1 && continue
710 + am__tar='tar chf - "$$tardir"'
711 + am__tar_='tar chf - "$tardir"'
712 + am__untar='tar xf -'
713 + ;;
714 + pax)
715 + am__tar='pax -L -x $1 -w "$$tardir"'
716 + am__tar_='pax -L -x $1 -w "$tardir"'
717 + am__untar='pax -r'
718 + ;;
719 + cpio)
720 + am__tar='find "$$tardir" -print | cpio -o -H $1 -L'
721 + am__tar_='find "$tardir" -print | cpio -o -H $1 -L'
722 + am__untar='cpio -i -H $1 -d'
723 + ;;
724 + none)
725 + am__tar=false
726 + am__tar_=false
727 + am__untar=false
728 + ;;
729 + esac
730 +
731 + # If the value was cached, stop now. We just wanted to have am__tar
732 + # and am__untar set.
733 + test -n "${am_cv_prog_tar_$1}" && break
734 +
735 + # tar/untar a dummy directory, and stop if the command works
736 + rm -rf conftest.dir
737 + mkdir conftest.dir
738 + echo GrepMe > conftest.dir/file
739 + AM_RUN_LOG([tardir=conftest.dir && eval $am__tar_ >conftest.tar])
740 + rm -rf conftest.dir
741 + if test -s conftest.tar; then
742 + AM_RUN_LOG([$am__untar <conftest.tar])
743 + grep GrepMe conftest.dir/file >/dev/null 2>&1 && break
744 + fi
745 +done
746 +rm -rf conftest.dir
747 +
748 +AC_CACHE_VAL([am_cv_prog_tar_$1], [am_cv_prog_tar_$1=$_am_tool])
749 +AC_MSG_RESULT([$am_cv_prog_tar_$1])])
750 +AC_SUBST([am__tar])
751 +AC_SUBST([am__untar])
752 +]) # _AM_PROG_TAR
753 +
754 diff -Nur ethtool-3.orig/configure ethtool-3/configure
755 --- ethtool-3.orig/configure 2005-01-28 01:24:22.000000000 +0100
756 +++ ethtool-3/configure 2006-10-14 17:03:42.000000000 +0200
757 @@ -311,7 +311,7 @@
758 # include <unistd.h>
759 #endif"
760
761 -ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP LIBOBJS LTLIBOBJS'
762 +ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP LIBOBJS LTLIBOBJS'
763 ac_subst_files=''
764
765 # Initialize some variables set by options.
766 @@ -955,7 +955,7 @@
767 else
768 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
769 fi
770 - cd $ac_popdir
771 + cd "$ac_popdir"
772 done
773 fi
774
775 @@ -1314,7 +1314,7 @@
776
777
778
779 -am__api_version="1.8"
780 +am__api_version="1.9"
781 ac_aux_dir=
782 for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
783 if test -f $ac_dir/install-sh; then
784 @@ -1491,13 +1491,21 @@
785 fi
786
787 if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
788 - # Keeping the `.' argument allows $(mkdir_p) to be used without
789 - # argument. Indeed, we sometimes output rules like
790 + # We used to keeping the `.' as first argument, in order to
791 + # allow $(mkdir_p) to be used without argument. As in
792 # $(mkdir_p) $(somedir)
793 - # where $(somedir) is conditionally defined.
794 - # (`test -n '$(somedir)' && $(mkdir_p) $(somedir)' is a more
795 - # expensive solution, as it forces Make to start a sub-shell.)
796 - mkdir_p='mkdir -p -- .'
797 + # where $(somedir) is conditionally defined. However this is wrong
798 + # for two reasons:
799 + # 1. if the package is installed by a user who cannot write `.'
800 + # make install will fail,
801 + # 2. the above comment should most certainly read
802 + # $(mkdir_p) $(DESTDIR)$(somedir)
803 + # so it does not work when $(somedir) is undefined and
804 + # $(DESTDIR) is not.
805 + # To support the latter case, we have to write
806 + # test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
807 + # so the `.' trick is pointless.
808 + mkdir_p='mkdir -p --'
809 else
810 # On NextStep and OpenStep, the `mkdir' command does not
811 # recognize any option. It will interpret all options as
812 @@ -1641,9 +1649,6 @@
813
814 MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
815
816 -
817 -AMTAR=${AMTAR-"${am_missing_run}tar"}
818 -
819 install_sh=${install_sh-"$am_aux_dir/install-sh"}
820
821 # Installed binaries are usually stripped using `strip' when the user
822 @@ -1736,6 +1741,13 @@
823
824 # We need awk for the "check" target. The system "awk" is bad on
825 # some platforms.
826 +# Always define AMTAR for backward compatibility.
827 +
828 +AMTAR=${AMTAR-"${am_missing_run}tar"}
829 +
830 +am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
831 +
832 +
833
834
835
836 @@ -2335,8 +2347,7 @@
837 cat conftest.err >&5
838 echo "$as_me:$LINENO: \$? = $ac_status" >&5
839 (exit $ac_status); } &&
840 - { ac_try='test -z "$ac_c_werror_flag"
841 - || test ! -s conftest.err'
842 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
843 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
844 (eval $ac_try) 2>&5
845 ac_status=$?
846 @@ -2394,8 +2405,7 @@
847 cat conftest.err >&5
848 echo "$as_me:$LINENO: \$? = $ac_status" >&5
849 (exit $ac_status); } &&
850 - { ac_try='test -z "$ac_c_werror_flag"
851 - || test ! -s conftest.err'
852 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
853 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
854 (eval $ac_try) 2>&5
855 ac_status=$?
856 @@ -2511,8 +2521,7 @@
857 cat conftest.err >&5
858 echo "$as_me:$LINENO: \$? = $ac_status" >&5
859 (exit $ac_status); } &&
860 - { ac_try='test -z "$ac_c_werror_flag"
861 - || test ! -s conftest.err'
862 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
863 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
864 (eval $ac_try) 2>&5
865 ac_status=$?
866 @@ -2566,8 +2575,7 @@
867 cat conftest.err >&5
868 echo "$as_me:$LINENO: \$? = $ac_status" >&5
869 (exit $ac_status); } &&
870 - { ac_try='test -z "$ac_c_werror_flag"
871 - || test ! -s conftest.err'
872 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
873 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
874 (eval $ac_try) 2>&5
875 ac_status=$?
876 @@ -2612,8 +2620,7 @@
877 cat conftest.err >&5
878 echo "$as_me:$LINENO: \$? = $ac_status" >&5
879 (exit $ac_status); } &&
880 - { ac_try='test -z "$ac_c_werror_flag"
881 - || test ! -s conftest.err'
882 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
883 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
884 (eval $ac_try) 2>&5
885 ac_status=$?
886 @@ -2657,8 +2664,7 @@
887 cat conftest.err >&5
888 echo "$as_me:$LINENO: \$? = $ac_status" >&5
889 (exit $ac_status); } &&
890 - { ac_try='test -z "$ac_c_werror_flag"
891 - || test ! -s conftest.err'
892 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
893 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
894 (eval $ac_try) 2>&5
895 ac_status=$?
896 @@ -2833,9 +2839,14 @@
897 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
898 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
899 # icc doesn't choke on unknown options, it will just issue warnings
900 - # (even with -Werror). So we grep stderr for any message
901 - # that says an option was ignored.
902 - if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
903 + # or remarks (even with -Werror). So we grep stderr for any message
904 + # that says an option was ignored or not supported.
905 + # When given -MP, icc 7.0 and 7.1 complain thusly:
906 + # icc: Command line warning: ignoring option '-M'; no argument required
907 + # The diagnosis changed in icc 8.0:
908 + # icc: Command line remark: option '-MP' not supported
909 + if (grep 'ignoring option' conftest.err ||
910 + grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
911 am_cv_CC_dependencies_compiler_type=$depmode
912 break
913 fi
914 @@ -3202,8 +3213,7 @@
915 cat conftest.err >&5
916 echo "$as_me:$LINENO: \$? = $ac_status" >&5
917 (exit $ac_status); } &&
918 - { ac_try='test -z "$ac_c_werror_flag"
919 - || test ! -s conftest.err'
920 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
921 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
922 (eval $ac_try) 2>&5
923 ac_status=$?
924 @@ -3373,8 +3383,7 @@
925 cat conftest.err >&5
926 echo "$as_me:$LINENO: \$? = $ac_status" >&5
927 (exit $ac_status); } &&
928 - { ac_try='test -z "$ac_c_werror_flag"
929 - || test ! -s conftest.err'
930 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
931 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
932 (eval $ac_try) 2>&5
933 ac_status=$?
934 @@ -3441,8 +3450,7 @@
935 cat conftest.err >&5
936 echo "$as_me:$LINENO: \$? = $ac_status" >&5
937 (exit $ac_status); } &&
938 - { ac_try='test -z "$ac_c_werror_flag"
939 - || test ! -s conftest.err'
940 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
941 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
942 (eval $ac_try) 2>&5
943 ac_status=$?
944 @@ -3592,8 +3600,7 @@
945 cat conftest.err >&5
946 echo "$as_me:$LINENO: \$? = $ac_status" >&5
947 (exit $ac_status); } &&
948 - { ac_try='test -z "$ac_c_werror_flag"
949 - || test ! -s conftest.err'
950 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
951 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
952 (eval $ac_try) 2>&5
953 ac_status=$?
954 @@ -3795,8 +3802,7 @@
955 cat conftest.err >&5
956 echo "$as_me:$LINENO: \$? = $ac_status" >&5
957 (exit $ac_status); } &&
958 - { ac_try='test -z "$ac_c_werror_flag"
959 - || test ! -s conftest.err'
960 + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
961 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
962 (eval $ac_try) 2>&5
963 ac_status=$?
964 @@ -4487,7 +4493,6 @@
965 s,@AUTOMAKE@,$AUTOMAKE,;t t
966 s,@AUTOHEADER@,$AUTOHEADER,;t t
967 s,@MAKEINFO@,$MAKEINFO,;t t
968 -s,@AMTAR@,$AMTAR,;t t
969 s,@install_sh@,$install_sh,;t t
970 s,@STRIP@,$STRIP,;t t
971 s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
972 @@ -4496,6 +4501,9 @@
973 s,@AWK@,$AWK,;t t
974 s,@SET_MAKE@,$SET_MAKE,;t t
975 s,@am__leading_dot@,$am__leading_dot,;t t
976 +s,@AMTAR@,$AMTAR,;t t
977 +s,@am__tar@,$am__tar,;t t
978 +s,@am__untar@,$am__untar,;t t
979 s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
980 s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
981 s,@MAINT@,$MAINT,;t t
982 @@ -4685,11 +4693,6 @@
983 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
984 esac
985
986 - if test x"$ac_file" != x-; then
987 - { echo "$as_me:$LINENO: creating $ac_file" >&5
988 -echo "$as_me: creating $ac_file" >&6;}
989 - rm -f "$ac_file"
990 - fi
991 # Let's still pretend it is `configure' which instantiates (i.e., don't
992 # use $as_me), people would be surprised to read:
993 # /* config.h. Generated by config.status. */
994 @@ -4728,6 +4731,12 @@
995 fi;;
996 esac
997 done` || { (exit 1); exit 1; }
998 +
999 + if test x"$ac_file" != x-; then
1000 + { echo "$as_me:$LINENO: creating $ac_file" >&5
1001 +echo "$as_me: creating $ac_file" >&6;}
1002 + rm -f "$ac_file"
1003 + fi
1004 _ACEOF
1005 cat >>$CONFIG_STATUS <<_ACEOF
1006 sed "$ac_vpsub
1007 @@ -5141,27 +5150,21 @@
1008 else
1009 continue
1010 fi
1011 - grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1012 - # Extract the definition of DEP_FILES from the Makefile without
1013 - # running `make'.
1014 + # Extract the definition of DEPDIR, am__include, and am__quote
1015 + # from the Makefile without running `make'.
1016 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1017 test -z "$DEPDIR" && continue
1018 + am__include=`sed -n 's/^am__include = //p' < "$mf"`
1019 + test -z "am__include" && continue
1020 + am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1021 # When using ansi2knr, U may be empty or an underscore; expand it
1022 U=`sed -n 's/^U = //p' < "$mf"`
1023 - test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1024 - # We invoke sed twice because it is the simplest approach to
1025 - # changing $(DEPDIR) to its actual value in the expansion.
1026 - for file in `sed -n '
1027 - /^DEP_FILES = .*\\\\$/ {
1028 - s/^DEP_FILES = //
1029 - :loop
1030 - s/\\\\$//
1031 - p
1032 - n
1033 - /\\\\$/ b loop
1034 - p
1035 - }
1036 - /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1037 + # Find all dependency output files, they are included files with
1038 + # $(DEPDIR) in their names. We invoke sed twice because it is the
1039 + # simplest approach to changing $(DEPDIR) to its actual value in the
1040 + # expansion.
1041 + for file in `sed -n "
1042 + s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1043 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1044 # Make sure the directory exists.
1045 test -f "$dirpart/$file" && continue
1046 diff -Nur ethtool-3.orig/ethtool.c ethtool-3/ethtool.c
1047 --- ethtool-3.orig/ethtool.c 2005-01-27 23:34:29.000000000 +0100
1048 +++ ethtool-3/ethtool.c 2006-10-14 17:00:50.000000000 +0200
1049 @@ -1012,6 +1012,7 @@
1050 { "amd8111e", amd8111e_dump_regs },
1051 { "pcnet32", pcnet32_dump_regs },
1052 { "fec_8xx", fec_8xx_dump_regs },
1053 + { "ixp4xx_mac", ixp4xx_dump_regs },
1054 };
1055
1056 static int dump_regs(struct ethtool_drvinfo *info, struct ethtool_regs *regs)
1057 diff -Nur ethtool-3.orig/ethtool.spec ethtool-3/ethtool.spec
1058 --- ethtool-3.orig/ethtool.spec 2005-01-28 01:24:35.000000000 +0100
1059 +++ ethtool-3/ethtool.spec 1970-01-01 01:00:00.000000000 +0100
1060 @@ -1,42 +0,0 @@
1061 -Name : ethtool
1062 -Version : 3
1063 -Release : 1
1064 -Group : Utilities
1065 -
1066 -Summary : A tool for setting ethernet parameters
1067 -
1068 -Copyright : GPL
1069 -URL : http://sourceforge.net/projects/gkernel/
1070 -
1071 -Buildroot : %{_tmppath}/%{name}-%{version}
1072 -Source : %{name}-%{version}.tar.gz
1073 -
1074 -
1075 -%description
1076 -Ethtool is a small utility to get and set values from your your ethernet
1077 -controllers. Not all ethernet drivers support ethtool, but it is getting
1078 -better. If your ethernet driver doesn't support it, ask the maintainer to
1079 -write support - it's not hard!
1080 -
1081 -
1082 -%prep
1083 -%setup -q
1084 -
1085 -
1086 -%build
1087 -CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr --mandir=%{_mandir}
1088 -make
1089 -
1090 -
1091 -%install
1092 -make install DESTDIR=${RPM_BUILD_ROOT}
1093 -
1094 -
1095 -%files
1096 -%defattr(-,root,root)
1097 -/usr/sbin/ethtool
1098 -%{_mandir}/man8/ethtool.8*
1099 -%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
1100 -
1101 -
1102 -%changelog
1103 diff -Nur ethtool-3.orig/ethtool-util.h ethtool-3/ethtool-util.h
1104 --- ethtool-3.orig/ethtool-util.h 2005-01-27 21:05:26.000000000 +0100
1105 +++ ethtool-3/ethtool-util.h 2006-10-14 17:00:35.000000000 +0200
1106 @@ -39,4 +39,6 @@
1107 /* Motorola 8xx FEC Ethernet controller */
1108 int fec_8xx_dump_regs(struct ethtool_drvinfo *info, struct ethtool_regs *regs);
1109
1110 +/* Intel IXP4xx internal MAC */
1111 +int ixp4xx_dump_regs(struct ethtool_drvinfo *info, struct ethtool_regs *regs);
1112 #endif
1113 diff -Nur ethtool-3.orig/ixp4xx.c ethtool-3/ixp4xx.c
1114 --- ethtool-3.orig/ixp4xx.c 1970-01-01 01:00:00.000000000 +0100
1115 +++ ethtool-3/ixp4xx.c 2006-10-14 21:18:59.000000000 +0200
1116 @@ -0,0 +1,131 @@
1117 +/*
1118 + * Copyright (c) 2006 Christian Hohnstaed <chohnstaedt@innominate.com>
1119 + * This file is released under the GPLv2
1120 + */
1121 +
1122 +#include <stdio.h>
1123 +#include "ethtool-util.h"
1124 +
1125 +#ifndef BIT
1126 +#define BIT(x) (1<<x)
1127 +#endif
1128 +
1129 +#define TX_CNTRL1_TX_EN BIT(0)
1130 +#define TX_CNTRL1_DUPLEX BIT(1)
1131 +#define TX_CNTRL1_RETRY BIT(2)
1132 +#define TX_CNTRL1_PAD_EN BIT(3)
1133 +#define TX_CNTRL1_FCS_EN BIT(4)
1134 +#define TX_CNTRL1_2DEFER BIT(5)
1135 +#define TX_CNTRL1_RMII BIT(6)
1136 +
1137 +/* TX Control Register 2 */
1138 +#define TX_CNTRL2_RETRIES_MASK 0xf
1139 +
1140 +/* RX Control Register 1 */
1141 +#define RX_CNTRL1_RX_EN BIT(0)
1142 +#define RX_CNTRL1_PADSTRIP_EN BIT(1)
1143 +#define RX_CNTRL1_CRC_EN BIT(2)
1144 +#define RX_CNTRL1_PAUSE_EN BIT(3)
1145 +#define RX_CNTRL1_LOOP_EN BIT(4)
1146 +#define RX_CNTRL1_ADDR_FLTR_EN BIT(5)
1147 +#define RX_CNTRL1_RX_RUNT_EN BIT(6)
1148 +#define RX_CNTRL1_BCAST_DIS BIT(7)
1149 +
1150 +/* Core Control Register */
1151 +#define CORE_RESET BIT(0)
1152 +#define CORE_RX_FIFO_FLUSH BIT(1)
1153 +#define CORE_TX_FIFO_FLUSH BIT(2)
1154 +#define CORE_SEND_JAM BIT(3)
1155 +#define CORE_MDC_EN BIT(4)
1156 +
1157 +#define MAC "%02x:%02x:%02x:%02x:%02x:%02x"
1158 +#define MAC_DATA(d) (d)[0], (d)[1], (d)[2], (d)[3], (d)[4], (d)[5]
1159 +
1160 +int ixp4xx_dump_regs(struct ethtool_drvinfo *info, struct ethtool_regs *regs)
1161 +{
1162 + u8 *data = regs->data;
1163 +
1164 + fprintf(stdout,
1165 + "TXctrl: 0x%02x:0x%02x\n"
1166 + " Enable: %s\n"
1167 + " Duplex: %s\n"
1168 + " Retry: %s (%d)\n"
1169 + " Padding: %s\n"
1170 + " Frame check: %s\n"
1171 + " TX deferral: %s\n"
1172 + " Connection: %s\n"
1173 + "\n",
1174 + data[0], data[1],
1175 + data[0] & TX_CNTRL1_TX_EN ? "yes" : "no",
1176 + data[0] & TX_CNTRL1_DUPLEX ? "half" : "full",
1177 + data[0] & TX_CNTRL1_RETRY ? "enabled" : "disabled",
1178 + data[1] & TX_CNTRL2_RETRIES_MASK,
1179 + data[0] & TX_CNTRL1_PAD_EN ? "enabled" : "disabled",
1180 + data[0] & TX_CNTRL1_FCS_EN ? "enabled" : "disabled",
1181 + data[0] & TX_CNTRL1_2DEFER ? "two-part" : "one-part",
1182 + data[0] & TX_CNTRL1_RMII ? "RMII" : "Full MII"
1183 + );
1184 +
1185 + fprintf(stdout,
1186 + "RXctrl: 0x%02x\n"
1187 + " Enable: %s\n"
1188 + " Pad strip: %s\n"
1189 + " CRC check: %s\n"
1190 + " Pause: %s\n"
1191 + " Loop: %s\n"
1192 + " Promiscous: %s\n"
1193 + " Runt frames: %s\n"
1194 + " Broadcast: %s\n"
1195 + "\n",
1196 + data[2],
1197 + data[2] & RX_CNTRL1_RX_EN ? "yes" : "no",
1198 + data[2] & RX_CNTRL1_PADSTRIP_EN ? "enabled" : "disabled",
1199 + data[2] & RX_CNTRL1_CRC_EN ? "enabled" : "disabled",
1200 + data[2] & RX_CNTRL1_PAUSE_EN ? "enabled" : "disabled",
1201 + data[2] & RX_CNTRL1_LOOP_EN ? "enabled" : "disabled",
1202 + data[2] & RX_CNTRL1_ADDR_FLTR_EN ? "disabled" : "enabled",
1203 + data[2] & RX_CNTRL1_RX_RUNT_EN ? "forward" : "discard",
1204 + data[2] & RX_CNTRL1_BCAST_DIS ? "disabled" : "enabled"
1205 + );
1206 + fprintf(stdout,
1207 + "Core control: 0x%02x\n"
1208 + " Core state: %s\n"
1209 + " RX fifo: %s\n"
1210 + " TX fifo: %s\n"
1211 + " Send jam: %s\n"
1212 + " MDC clock %s\n"
1213 + "\n",
1214 + data[32],
1215 + data[32] & CORE_RESET ? "reset" : "normal operation",
1216 + data[32] & CORE_RX_FIFO_FLUSH ? "flush" : "ok",
1217 + data[32] & CORE_TX_FIFO_FLUSH ? "flush" : "ok",
1218 + data[32] & CORE_SEND_JAM ? "yes" : "no",
1219 + data[32] & CORE_MDC_EN ? "output" : "input"
1220 + );
1221 + fprintf(stdout,
1222 + "MAC addresses: \n"
1223 + " Multicast mask: " MAC "\n"
1224 + " Multicast address: " MAC "\n"
1225 + " Unicast address: " MAC "\n"
1226 + "\n",
1227 + MAC_DATA(data+13), MAC_DATA(data+19), MAC_DATA(data+26)
1228 + );
1229 + fprintf(stdout,
1230 + "Random seed: 0x%02x\n"
1231 + "Threshold empty: %3d\n"
1232 + "Threshold full: %3d\n"
1233 + "TX buffer size: %3d\n"
1234 + "TX deferral: %3d\n"
1235 + "RX deferral: %3d\n"
1236 + "TX two deferral 1: %3d\n"
1237 + "TX two deferral 2: %3d\n"
1238 + "Slot time: %3d\n"
1239 + "Internal clock: %3d\n"
1240 + "\n",
1241 + data[4], data[5], data[6], data[7], data[8], data[9],
1242 + data[10], data[11], data[12], data[25]
1243 + );
1244 +
1245 + return 0;
1246 +}
1247 +
1248 diff -Nur ethtool-3.orig/Makefile.am ethtool-3/Makefile.am
1249 --- ethtool-3.orig/Makefile.am 2005-01-27 21:05:26.000000000 +0100
1250 +++ ethtool-3/Makefile.am 2006-10-14 17:01:38.000000000 +0200
1251 @@ -6,7 +6,7 @@
1252 sbin_PROGRAMS = ethtool
1253 ethtool_SOURCES = de2104x.c ethtool.c ethtool-copy.h ethtool-util.h natsemi.c \
1254 e1000.c realtek.c e100.c tg3.c amd8111e.c pcnet32.c \
1255 - fec_8xx.c
1256 + fec_8xx.c ixp4xx.c
1257
1258 dist-hook:
1259 cp $(top_srcdir)/ethtool.spec $(distdir)
1260 diff -Nur ethtool-3.orig/Makefile.in ethtool-3/Makefile.in
1261 --- ethtool-3.orig/Makefile.in 2005-01-28 01:24:21.000000000 +0100
1262 +++ ethtool-3/Makefile.in 2006-10-14 17:03:37.000000000 +0200
1263 @@ -1,8 +1,8 @@
1264 -# Makefile.in generated by automake 1.8.3 from Makefile.am.
1265 +# Makefile.in generated by automake 1.9.5 from Makefile.am.
1266 # @configure_input@
1267
1268 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
1269 -# 2003, 2004 Free Software Foundation, Inc.
1270 +# 2003, 2004, 2005 Free Software Foundation, Inc.
1271 # This Makefile.in is free software; the Free Software Foundation
1272 # gives unlimited permission to copy and/or distribute it,
1273 # with or without modifications, as long as this notice is preserved.
1274 @@ -48,7 +48,7 @@
1275 $(ACLOCAL_M4)
1276 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
1277 configure.lineno configure.status.lineno
1278 -mkinstalldirs = $(mkdir_p)
1279 +mkinstalldirs = $(install_sh) -d
1280 CONFIG_HEADER = ethtool-config.h
1281 CONFIG_CLEAN_FILES = ethtool.spec
1282 am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
1283 @@ -57,17 +57,12 @@
1284 am_ethtool_OBJECTS = de2104x.$(OBJEXT) ethtool.$(OBJEXT) \
1285 natsemi.$(OBJEXT) e1000.$(OBJEXT) realtek.$(OBJEXT) \
1286 e100.$(OBJEXT) tg3.$(OBJEXT) amd8111e.$(OBJEXT) \
1287 - pcnet32.$(OBJEXT) fec_8xx.$(OBJEXT)
1288 + pcnet32.$(OBJEXT) fec_8xx.$(OBJEXT) ixp4xx.$(OBJEXT)
1289 ethtool_OBJECTS = $(am_ethtool_OBJECTS)
1290 ethtool_LDADD = $(LDADD)
1291 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
1292 depcomp = $(SHELL) $(top_srcdir)/depcomp
1293 am__depfiles_maybe = depfiles
1294 -@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/amd8111e.Po ./$(DEPDIR)/de2104x.Po \
1295 -@AMDEP_TRUE@ ./$(DEPDIR)/e100.Po ./$(DEPDIR)/e1000.Po \
1296 -@AMDEP_TRUE@ ./$(DEPDIR)/ethtool.Po ./$(DEPDIR)/fec_8xx.Po \
1297 -@AMDEP_TRUE@ ./$(DEPDIR)/natsemi.Po ./$(DEPDIR)/pcnet32.Po \
1298 -@AMDEP_TRUE@ ./$(DEPDIR)/realtek.Po ./$(DEPDIR)/tg3.Po
1299 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
1300 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
1301 CCLD = $(CC)
1302 @@ -142,6 +137,8 @@
1303 am__include = @am__include@
1304 am__leading_dot = @am__leading_dot@
1305 am__quote = @am__quote@
1306 +am__tar = @am__tar@
1307 +am__untar = @am__untar@
1308 bindir = @bindir@
1309 build_alias = @build_alias@
1310 datadir = @datadir@
1311 @@ -167,7 +164,7 @@
1312 EXTRA_DIST = ethtool.8 ethtool.spec.in aclocal.m4 ChangeLog autogen.sh
1313 ethtool_SOURCES = de2104x.c ethtool.c ethtool-copy.h ethtool-util.h natsemi.c \
1314 e1000.c realtek.c e100.c tg3.c amd8111e.c pcnet32.c \
1315 - fec_8xx.c
1316 + fec_8xx.c ixp4xx.c
1317
1318 all: ethtool-config.h
1319 $(MAKE) $(AM_MAKEFLAGS) all-am
1320 @@ -265,6 +262,7 @@
1321 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/e1000.Po@am__quote@
1322 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ethtool.Po@am__quote@
1323 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fec_8xx.Po@am__quote@
1324 +@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ixp4xx.Po@am__quote@
1325 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/natsemi.Po@am__quote@
1326 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pcnet32.Po@am__quote@
1327 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/realtek.Po@am__quote@
1328 @@ -274,16 +272,14 @@
1329 @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
1330 @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
1331 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1332 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
1333 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1334 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1335 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
1336
1337 .c.obj:
1338 @am__fastdepCC_TRUE@ if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
1339 @am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
1340 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1341 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
1342 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1343 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1344 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
1345 uninstall-info-am:
1346 install-man8: $(man8_MANS) $(man_MANS)
1347 @@ -352,9 +348,11 @@
1348 done | \
1349 $(AWK) ' { files[$$0] = 1; } \
1350 END { for (i in files) print i; }'`; \
1351 - test -z "$(ETAGS_ARGS)$$tags$$unique" \
1352 - || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1353 - $$tags $$unique
1354 + if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
1355 + test -n "$$unique" || unique=$$empty_fix; \
1356 + $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1357 + $$tags $$unique; \
1358 + fi
1359 ctags: CTAGS
1360 CTAGS: $(HEADERS) $(SOURCES) ethtool-config.h.in $(TAGS_DEPENDENCIES) \
1361 $(TAGS_FILES) $(LISP)
1362 @@ -417,15 +415,15 @@
1363 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
1364 || chmod -R a+r $(distdir)
1365 dist-gzip: distdir
1366 - $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1367 + tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1368 $(am__remove_distdir)
1369
1370 dist-bzip2: distdir
1371 - $(AMTAR) chof - $(distdir) | bzip2 -9 -c >$(distdir).tar.bz2
1372 + tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
1373 $(am__remove_distdir)
1374
1375 dist-tarZ: distdir
1376 - $(AMTAR) chof - $(distdir) | compress -c >$(distdir).tar.Z
1377 + tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
1378 $(am__remove_distdir)
1379
1380 dist-shar: distdir
1381 @@ -438,7 +436,7 @@
1382 $(am__remove_distdir)
1383
1384 dist dist-all: distdir
1385 - $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1386 + tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1387 $(am__remove_distdir)
1388
1389 # This target untars the dist file and tries a VPATH configuration. Then
1390 @@ -447,13 +445,13 @@
1391 distcheck: dist
1392 case '$(DIST_ARCHIVES)' in \
1393 *.tar.gz*) \
1394 - GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf - ;;\
1395 + GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
1396 *.tar.bz2*) \
1397 - bunzip2 -c $(distdir).tar.bz2 | $(AMTAR) xf - ;;\
1398 + bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
1399 *.tar.Z*) \
1400 - uncompress -c $(distdir).tar.Z | $(AMTAR) xf - ;;\
1401 + uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
1402 *.shar.gz*) \
1403 - GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | unshar ;;\
1404 + GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
1405 *.zip*) \
1406 unzip $(distdir).zip ;;\
1407 esac
1408 @@ -534,7 +532,7 @@
1409 clean-generic:
1410
1411 distclean-generic:
1412 - -rm -f $(CONFIG_CLEAN_FILES)
1413 + -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1414
1415 maintainer-clean-generic:
1416 @echo "This command is intended for maintainers to use"
1417 @@ -595,13 +593,13 @@
1418
1419 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
1420 clean-generic clean-sbinPROGRAMS ctags dist dist-all \
1421 - dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip distcheck \
1422 - distclean distclean-compile distclean-generic distclean-hdr \
1423 - distclean-tags distcleancheck distdir distuninstallcheck dvi \
1424 - dvi-am html html-am info info-am install install-am \
1425 - install-data install-data-am install-exec install-exec-am \
1426 - install-info install-info-am install-man install-man8 \
1427 - install-sbinPROGRAMS install-strip installcheck \
1428 + dist-bzip2 dist-gzip dist-hook dist-shar dist-tarZ dist-zip \
1429 + distcheck distclean distclean-compile distclean-generic \
1430 + distclean-hdr distclean-tags distcleancheck distdir \
1431 + distuninstallcheck dvi dvi-am html html-am info info-am \
1432 + install install-am install-data install-data-am install-exec \
1433 + install-exec-am install-info install-info-am install-man \
1434 + install-man8 install-sbinPROGRAMS install-strip installcheck \
1435 installcheck-am installdirs maintainer-clean \
1436 maintainer-clean-generic mostlyclean mostlyclean-compile \
1437 mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \